# $Revision: 1.3 $, $Date: 2002/04/30 22:04:44 $
Summary:	Squid log analyzer
Summary(es):	generador de informes del squid por utilizador/ip/nombre
Summary(pl):	Analizator logw Squida
Summary(pt_BR):	Gerador de relatrios por usurio/ip/nome do squid
Name:		sarg
Version:	1.2.1
Release:	1
License:	GPLv2
Group:		Networking
Source0:	http://web.onda.com.br/orso/%{name}-%{version}.tar.gz
URL:		http://web.onda.com.br/orso/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	squid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	sqmgrlog

%define		contentdir	/home/httpd/html/squid-reports

%description
Sarg - Squid Analysis Report Generator is a tool that allow you to
view "where" your users are going to on the Internet. Sarg generate
reports in html, with many fields, like: users, IP Addresses, bytes,
sites and times.

%description -l es
Sarg (era Sqmgrlog) genera informes por utilizador/ip/nombre hacia el
fichero de log del SQUID. Los informes sern generados en HTML o
correo.

%description -l pl
Sarg jest narzdziem dziki ktremu moesz sprawdza jakie adresy w
Internecie odwiedzaj twoi uytkownicy. Sarg generuje raporty w
HTML-u.

%description -l pt_BR
O Sarg (antigo Sqmgrlog) gera relatrios por usurio/ip/nome
baseando-se no arquivo de log do SQUID. Os relatrios so gerados em
HTML ou por email.

%prep
%setup -q

%build
aclocal
autoconf
cp %{_datadir}/automake/config.* .
%configure \
	 --enable-sysconfdir=%{_sysconfdir}/%{name}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{contentdir}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install  sarg.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/sarg.conf

cp -rf languages $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}

gzip -9nf README CONTRIBUTORS ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sarg
%doc *.gz
%dir %{contentdir}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/sarg.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/exclude_codes
%{_sysconfdir}/%{name}/languages

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sarg.spec,v $
Revision 1.3  2002/04/30 22:04:44  kloczek
- License changed to GPLv2,
- removed %post,
- added regenerate ac files,
- few minor changes.

Revision 1.2  2002/04/30 13:22:46  qboosh
- adapterized, fixed Group, added mising dir to files, cosmetics

Revision 1.1  2002/04/30 11:00:23  kloczek
- raw version (prepared by Grzegorz Prdki).
